DorcasTabithaBundle_homepage:
    pattern:  /private/
    defaults: { _controller: DorcasTabithaBundle:Default:show }
 
#Redirect_homepage:
#    pattern: /
#    defaults:
#        _controller: FrameworkBundle:Redirect:redirect
#        route: DorcasTabithaBundle_homepage
  
#DorcasTabithaBundle_secured:
  #  pattern:  /secured
  #  defaults: { _controller: DorcasTabithaBundle:secured:login.html.twig }
       
DorcasTabithaBundle_logout:
    pattern:  /private/logout
    
DorcasTabithaBundle_clientinformation_new:
    pattern:  /private/clientinformationnew
    defaults: { _controller: DorcasTabithaBundle:ClientInformation:clientinformationform }
    
DorcasTabithaBundle_financeform:
    pattern:  /private/financeform
    defaults: { _controller: DorcasTabithaBundle:Default:financeform }

DorcasTabithaBundle_noteform:
    pattern:  /private/noteform/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Forms:noteform }

DorcasTabithaBundle_notes_show:
    pattern:  /private/notesshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Notes:show }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_note_create:
    pattern:  /private/note/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Notes:create }
    requirements:
        _method:  GET|POST
        client_id: \d+
 
DorcasTabithaBundle_note_update:
    pattern:  /privatenoteupdate/{note_id}
    defaults: { _controller: DorcasTabithaBundle:Notes:update }
    requirements:
        _method:  GET|POST
        client_id: \d+      
        
DorcasTabithaBundle_clientinformation_show:
    pattern:  /private/clientinformationshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:ClientInformation:show }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_clientinformation_update:
    pattern:  /private/clientinformationupdate/{client_id}
    defaults: { _controller: DorcasTabithaBundle:ClientInformation:update }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_finance_new:
    pattern:  /private/financenew/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Finance:new }
    requirements:
        _method:  GET
        client_id: \d+

DorcasTabithaBundle_finance_show:
    pattern:  /private/financeshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Finance:show }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_finance_create:
    pattern:  /private/finance/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Finance:create }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_finance_update:
    pattern:  /private/financeupdate/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Finance:update }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_referrals_new:
    pattern:  /private/referralsnew/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Referrals:new }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_referrals_show:
    pattern:  /private/referralsshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Referrals:show }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_referrals_create:
    pattern:  /private/referrals/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Referrals:create }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_referrals_update:
    pattern:  /private/referralsupdate/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Referrals:update }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_assistance_show:
    pattern:  /private/assistanceshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:show }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_assistance_create:
    pattern:  /private/assistance/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:create }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_assistance_update:
    pattern:  /private/assistanceupdate/{assistance_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:update }
    requirements:
        _method:  GET|POST
        client_id: \d+
               
DorcasTabithaBundle_assistance_updatesp:
    pattern:  /private/assistanceupdatesp/{assistance_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:updatesp }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_assistance_delete_check:
    pattern:  /private/assistancedeletecheck/{assistance_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:deleteCheck }
    requirements:
        _method:  GET|POST
        client_id: \d+      
        
DorcasTabithaBundle_assistance_delete_food:
    pattern:  /private/assistancedeletefood/{assistance_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:deleteFood }
    requirements:
        _method:  GET|POST
        client_id: \d+
              
DorcasTabithaBundle_assistance_delete_program:
    pattern:  /private/assistancedeleteprogram/{assistance_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:deleteProgram }
    requirements:
        _method:  GET|POST
        client_id: \d+        
  
DorcasTabithaBundle_assistance_delete_history:
    pattern:  /private/assistancedeletehistory/{history_id}
    defaults: { _controller: DorcasTabithaBundle:Assistance:deleteHistory }
    requirements:
        _method:  GET|POST
        client_id: \d+
         
DorcasTabithaBundle_users_show:
    pattern:  /private/admin/usersshow
    defaults: { _controller: DorcasTabithaBundle:Users:show }
    requirements:
        _method:  GET
        client_id: \d+
        
DorcasTabithaBundle_users_create:
    pattern:  /private/admin/user
    defaults: { _controller: DorcasTabithaBundle:Users:create }
    requirements:
        _method:  GET|POST
        client_id: \d+

DorcasTabithaBundle_user_update:
    pattern:  /private/admin/userupdate/{id}
    defaults: { _controller: DorcasTabithaBundle:Users:update }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_user_delete:
    pattern:  /private/userdelete/{id}
    defaults: { _controller: DorcasTabithaBundle:Users:delete }
    requirements:
        _method:  GET|POST
        client_id: \d+

DorcasTabithaBundle_search_show:
    pattern:  /private/searchshow
    defaults: { _controller: DorcasTabithaBundle:Search:show }
    requirements:
        _method:  GET|POST
        client_id: \d+

DorcasTabithaBundle_search_create:
    pattern:  /private/search/{allrecs}
    defaults: { _controller: DorcasTabithaBundle:Search:create }
    requirements:
        _method:  GET|POST
        client_id: \d+
  
        
DorcasTabithaBundle_search_test:
    pattern:  /private/searchtest
    defaults: { _controller: DorcasTabithaBundle:Search:test }
    requirements:
        _method:  GET|POST
        client_id: \d+                
        
DorcasTabithaBundle_message_show:
    pattern:  /private/messageshow
    defaults: { _controller: DorcasTabithaBundle:Message:show }
    requirements:
        _method:  GET|POST
        client_id: \d+
 
DorcasTabithaBundle_message_create:
    pattern:  /private/user
    defaults: { _controller: DorcasTabithaBundle:Message:create }
    requirements:
        _method:  GET|POST
        client_id: \d+

DorcasTabithaBundle_profile_show:
    pattern:  /private/profileshow/
    defaults: { _controller: DorcasTabithaBundle:Profile:show }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_profile_update:
    pattern:  /private/profileupdate/
    defaults: { _controller: DorcasTabithaBundle:Profile:update }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_search_delete:
    pattern:  /private/searchdelete/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Search:delete }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_print_pledgeShow:
    pattern:  /private/printpledgeshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Print:pledgeShow }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_print_promissoryShow:
    pattern:  /private/promissotyshow/{client_id}
    defaults: { _controller: DorcasTabithaBundle:Print:promissoryShow }
    requirements:
        _method:  GET|POST
        client_id: \d+
        
DorcasTabithaBundle_print_referredTo:
    pattern:  /private/referredto
    defaults: { _controller: DorcasTabithaBundle:Print:referredTo }
    requirements:
        _method:  GET|POST
        client_id: \d+
 
DorcasTabithaBundle_print_referredTo:
    pattern:  /private/referredto/
    defaults: { _controller: DorcasTabithaBundle:Print:referredTo }
    requirements:
        _method:  GET|POST
        client_id: \d+
